﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace ProfilerPDS {
    class DllModule : INotifyPropertyChanged {

        // INotifyPropertyChanged Members
        public event PropertyChangedEventHandler PropertyChanged;

        protected void Notify(string propName) {
            if (this.PropertyChanged != null) {
                PropertyChanged(this, new PropertyChangedEventArgs(propName));
            }
        }

        public DllModule() { }
        public DllModule(String name, bool selected) {
            this._name = name;
            this._selected = selected;
        }

        string _name;
        public string Name {
            get { return this._name; }
            set {

                if (this._name == value) { return; }
                this._name = value;
                Notify("Name");

            }
        }

        bool _selected = false;
        public bool Selected {
            get { return this._selected; }
            set {
                if (this._selected == value) { return; }
                this._selected = value;
                Notify("Selected");
            }
        }

        int _size = 10;
        public int Size {
            get { return _size; }
            set {
                if (this._size == value) { return; }
                this._size = value;
                Notify("Size");


            }
        }
    }
}
